Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		gnome-keyring
Version:	2.28.1
Release:	1
BuildArch:	i686
Summary:	A framework for managing user passwords and other secrets
License:	GNU/LGPL
URL:		ftp://ftp.gnome.org
Group:		Graphical Desktop/GNOME/Base
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot

#Automatically resolved build dependencies
BuildRequires: atk-devel
BuildRequires: cairo-devel
BuildRequires: dbus-devel
BuildRequires: dbus-glib-devel
BuildRequires: expat-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: GConf-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gtk2+-devel
BuildRequires: hal-devel
BuildRequires: libgcrypt-devel
BuildRequires: libgpg-error-devel
BuildRequires: libpng-devel
BuildRequires: libtasn1-devel
BuildRequires: libX11-devel
BuildRequires: libXrender-devel
BuildRequires: ORBit2-devel
BuildRequires: pam-devel
BuildRequires: pango-devel
BuildRequires: pixman-devel
BuildRequires: zlib-devel

%description
gnome-keyring manages passwords and other types of secrets
for the user, storing them encrypted with a main password.
Applications can use the gnome-keyring library to integrate
with the keyring.

%package	devel
Summary:	The files needed for gnome-keyring application development
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib-devel

%description	devel
The gnome-keyring-devel package contains the libraries and
include files that you can use to develop applications that
use gnome-keyring.

%package	pam
Summary:	A pam module for unlocking keyrings at login time
License:	GNU/LGPLv2+
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
# for /lib/security
Requires: 	pam

%description	pam
The gnome-keyring-pam package contains a pam module that can
automatically unlock the "login" keyring when the user logs in 
and start the keyring daemon.

%post
/sbin/ldconfig
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/gnome-keyring.schemas > /dev/null || :

%pre
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/gnome-keyring.schemas > /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/gnome-keyring.schemas > /dev/null || :
fi

%postun -p /sbin/ldconfig

%prep
%setup -q -n gnome-keyring-%{version}

%build
%configure \
--disable-gtk-doc --disable-static \
--with-pam-dir=/%{_lib}/security
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install install-pam DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

%find_lang gnome-keyring

%files -f gnome-keyring.lang
%defattr(-, root, root)
%doc AUTHORS NEWS README COPYING COPYING.LIB
%_bindir
%_libdir/*.so.*
%_libdir/gnome-keyring
%_libexecdir/gnome-keyring-ask
%_datadir/dbus-1/services/org.gnome.keyring.service
%_datadir/gcr/ui/gcr-certificate-basics-widget.ui
%_datadir/gcr/ui/gcr-import-dialog.ui
%_sysconfdir/gconf/schemas/gnome-keyring.schemas
%_sysconfdir/xdg/autostart/gnome-keyring-daemon.desktop

%files devel
%defattr(-, root, root)
%_libdir/lib*.so
%_pkgconfig
%_includedir
%_datadir/gtk-doc/
%_libdir/*.la
/%{_lib}/security/*.la

%files pam
%defattr(-, root, root)
/%{_lib}/security/*.so

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Apr 14 2009 Christian Metzen <metzench@ccux-linux.de> 2.26.1-1
- Version update
* Tue Mar 31 2009 Christian Wasem <wasem@ccux-linux.de> 2.26.0-1
- Version update
* Fri Jan 09 2009 Christian Metzen <metzench@ccux-linux.de> 2.24.1-1
- Version update
* Wed Mar 12 2008 Christian Metzen <metzench@ccux-linux.de> 2.22.0-1
- Version update
* Wed Nov 28 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.2-1
- Version update
* Tue Oct 16 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.1-1
- Version update
* Fri Sep 28 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.0-1
- Version update
* Wed Apr 11 2007 Christian Metzen <metzench@ccux-linux.de> 0.8.1-1
- Version update
* Tue Mar 19 2007 Christian Metzen <metzench@ccux-linux.de> 0.8-1
- Version update
* Thu Nov 09 2006 Christian Metzen <metzench@ccux-linux.de> 0.6.0-3
- clean buildchain
* Tue Nov 07 2006 Christian Metzen <metzench@ccux-linux.de> 0.6.0-2
- rebuild, moved libexec
* Sun Nov 05 2006 Christian Metzen <metzench@ccux-linux.de> 0.6.0-1
- Version update
* Sat Mar 25 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.4.9-1
- Version Update
* Tue Feb 28 2006 Christian Wasem <wasem@ccux-linux.de> 0.4.7-1
- Update to Version 0.4.7
* Mon Jan 30 2006 Christian Wasem <wasem@ccux-linux.de> 0.4.6-1
- Initial Release
